/***********************************
name:   BERTL_2014_TEST Motorsensoren 
author: Gottfried Enenkel   HTL BULME
email:  ene@bulme.at
description:
    Der BERTL fährt 1 sec lang  VORWÄRTS! 
    Danach steht er für 1 sec
    Dabei sind die Radsensoren auf die D10 bzw. D13 geschalten.
    Wenn an auf den Moter sieht, ist da + Zeichen 
    immer LINKS OBEN zu sehen !  
***********************************/
#include "mbed.h"

// ************ DEKLARATIONEN **************
DigitalOut MotorL_EN(p34);        // Motor Links = mg1 
DigitalOut MotorL_FORWARD(P1_1);   
DigitalOut MotorL_REVERSE(P1_0);   

DigitalOut MotorR_EN(p36);        //Motor Rechts = mg2
DigitalOut MotorR_FORWARD(P1_3);
DigitalOut MotorR_REVERSE(P1_4);

PwmOut mg1(P1_15);           //PWM Ausgang zum Motor Links
PwmOut mg2(P0_21);           //PWM Ausgang zum Motor Rechts
float speedy=0.3;            //Motor speed 1 = Vollgas  0.3 sehr langsam
                             // wenn kleiner als 0.2,
                             // kann der Motor ev nicht mehr anfahren
DigitalOut LED_D10(P1_8);    // LED D10 und D13 definieren
DigitalOut LED_D13(P1_11);   //      

DigitalIn SensorL(P1_12);    // Sensor Links  bei mg1      
DigitalIn SensorR(P1_13);    // Sensor Rechts bei mg2
int a;                       // Variable a
// *************  Hauptprogramm ************
int main() {                 // Start Hauptprogramm
    mg1=mg2=speedy;
    MotorR_EN=MotorL_EN=(1); // Beide Motoren ENABLE
    
    while (1){
      a=0;                   //Variable a auf 0 setzen    
      while(a<1000) {        // mache solang a<1000   
        MotorR_FORWARD = MotorL_FORWARD = 1;  // Beide Motoren vorwärts EIN
        LED_D10 = SensorL;   //  LED D10 blinkt
        LED_D13 = SensorR;   //  LED D13 blinkt 
        a++;
        wait_ms(1);          //  warte 1 mSekunde  
      }    
        MotorR_FORWARD = MotorL_FORWARD = 0;  // Motoren AUS  
        wait (1);            //  warte 1 Sekunde 
    }                        //  Springe zum Anfang der Schleife 
}       

// **************     ENDE     *************
